Skip to main content
GET
/
api
/
leaderboard
/
{period}
Get Trader Leaderboard
curl --request GET \
  --url https://backend-global.gains.trade/api/leaderboard/{period}
[
  {}
]

Endpoint

GET /api/leaderboard/{period} Returns trader leaderboard for a period or all supported periods.

Parameters

ParameterLocationRequiredTypeDescription
periodpathYesstringPeriod in days, or all.
chainIdqueryYesintegerBlockchain chain ID. Common values: 42161 Arbitrum, 8453 Base, 137 Polygon.

Usage Example

curl -X GET "https://backend-global.gains.trade/api/leaderboard/7?chainId=42161"

Response Structure

The generated API panel lists the response schema for status codes: 200, 503, 500. Error responses generally return an error or message field.

Path Parameters

period
string
required

Period in days, or all.

Example:

"7"

Query Parameters

chainId
integer
required

Blockchain chain ID. Common values: 42161 Arbitrum, 8453 Base, 137 Polygon.

Example:

42161

Response

Successful response

The response is of type object.